package dotsec.samples;

import java.security.*;
import java.io.*;
import dotsec.security.components.*;
import org.bouncycastle.jce.provider.BouncyCastleProvider;


public class Test
{
  public static void main(String[] args) throws Exception
  {
    Security.insertProviderAt(new BouncyCastleProvider(), 2);
java.util.Hashtable attrs = new java.util.Hashtable();
attrs.put("commonName", "john");
attrs.put("emailAddress", "john@ert.com");
String keyAlgorithm = "rsa";
int keySize = 1024;

// we call your API here
KeyManagerEngine kme = new KeyManagerEngine();
java.io.ByteArrayOutputStream baos = kme.generateCertReq(attrs, keyAlgorithm, keySize, "joe", "topSecret");
FileOutputStream fos = new FileOutputStream("/tmp/fff");
fos.write(baos.toByteArray());
fos.close();
  }

}
